Description

It's currently not possible to restrict access on the Neos node tree.

TYPO3 CMS
In TYPO3 CMS there are two ways to control access over pages and content:

With the so called "DB Mounts" it's possible to grant users/groups general access to a page (and all its subpages):

ACL_DB_Mounts.png

Furthermore it's possible to fine-tune permissions via the "Access module":

ACL_Page_Permissions.png

+ Great control over permission levels
+ Nice AJAX interface
- Hard to get it right from the beginning (mostly due to the "distance" between DB Mounts and ACL settings)

(to be continued)

Related issues:
related to Base Distribution - Work Package # 45584: Access Control for TYPO3... New 2013-02-18

History
#1 - 2014-02-12 12:10 - Rens Admiraal

In CMS backend the database mountpoints limit the visible content. In Neos we only have that concept in the tree, but by browsing the site all other
content could still be opened. This means the 'mount points' should also restrict modify permissions outside that part of the tree.

To have flexibel control over the permissions we need to be able to add multiple roles to a resource / part of the node tree. That's a BIG downside of
the current implementation in CMS (which can be fixed by using be acls which comes with the price of performance penalties). As fine grained acls
could be a bad performing thing: maybe we should by default only allow simple permissions (1 group for a tree) and only enable the more advanced
(and heavier) features if configured by the integrator.

#2 - 2014-02-12 12:11 - Rens Admiraal
- Tracker changed from Task to Story

#3 - 2014-03-24 17:55 - Bastian Waidelich
- Status changed from New to Closed

Moved to https://jira.typo3.org/browse/NEOS-28
